## About

ML.NET is a cross-platform open-source machine learning framework which makes machine learning accessible to .NET developers.

For more information, see the [ML.NET documentation](https://docs.microsoft.com/dotnet/machine-learning/).

This package adds the ability to use image processing transformer components.

## Key Features

* Image classification - Categorize pathologies in medical images

## How to Use

See [Machine Learning Samples](https://github.com/dotnet/machinelearning-samples) for an assortment of samples that show how to get started using ML.NET.

## Main Types

Some of the types provided by this library are:

* `Microsoft.ML.Data.MLImage`
* `Microsoft.ML.Transforms.Image.ImageTypeAttribute`

## Additional Documentation

* [Conceptual documentation](https://learn.microsoft.com/en-us/dotnet/machine-learning/)
* [API documentation](https://learn.microsoft.com/en-us/dotnet/api/microsoft.ml.transforms.image)

## Related Packages

* Main Package: [Microsoft.ML](https://www.nuget.org/packages/Microsoft.ML)
* Core data abstraction: [Microsoft.ML.DataView](https://www.nuget.org/packages/Microsoft.ML.DataView)
* LightGBM Model Support: [Microsoft.ML.LightGbm](https://www.nuget.org/packages/Microsoft.ML.LightGbm)
* Fast Tree: [Microsoft.ML.FastTree](https://www.nuget.org/packages/Microsoft.ML.FastTree)
* Recommender: [Microsoft.ML.Recommender](https://www.nuget.org/packages/Microsoft.ML.Recommender)
* Time series: [Microsoft.ML.TimeSeries](https://www.nuget.org/packages/Microsoft.ML.TimeSeries)
* Automatic model selection / tuning:  [Microsoft.ML.AutoML](https://www.nuget.org/packages/Microsoft.ML.AutoML)
* Exporting Onnx Models: [Microsoft.ML.OnnxConverter](https://www.nuget.org/packages/Microsoft.ML.OnnxConverter)
* Loading Onnx models: [Microsoft.ML.OnnxTransformer](https://www.nuget.org/packages/Microsoft.ML.OnnxTransformer)
* Text tokenizers: [Microsoft.ML.Tokenizers](https://www.nuget.org/packages/Microsoft.ML.Tokenizers)

## Feedback & Contributing

Microsoft.ML is released as open source under the [MIT license](https://licenses.nuget.org/MIT). Bug reports and contributions are welcome at [the GitHub repository](https://github.com/dotnet/machinelearning).